org.keycloak.services.resources.flows

## Class Flows

- java.lang.Object
- - org.keycloak.services.resources.flows.Flows

-     public class Flows
      extends Object

  Author:
    Stian Thorgersen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorFlows` | `errors()`
    `static LoginFormsProvider` | `forms(KeycloakSession session, RealmModel realm, ClientModel client, javax.ws.rs.core.UriInfo uriInfo)`
    `static javax.ws.rs.core.Response` | `forwardToSecurityFailurePage(KeycloakSession session, RealmModel realm, javax.ws.rs.core.UriInfo uriInfo, String message)`
    `static SocialRedirectFlows` | `social(RealmModel realm, javax.ws.rs.core.UriInfo uriInfo, ClientConnection clientConnection, SocialProvider provider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forms

          public static LoginFormsProvider forms(KeycloakSession session,
                                 RealmModel realm,
                                 ClientModel client,
                                 javax.ws.rs.core.UriInfo uriInfo)

    - #### social

          public static SocialRedirectFlows social(RealmModel realm,
                                   javax.ws.rs.core.UriInfo uriInfo,
                                   ClientConnection clientConnection,
                                   SocialProvider provider)

    - #### errors

          public static ErrorFlows errors()

    - #### forwardToSecurityFailurePage

          public static javax.ws.rs.core.Response forwardToSecurityFailurePage(KeycloakSession session,
                                                               RealmModel realm,
                                                               javax.ws.rs.core.UriInfo uriInfo,
                                                               String message)

Copyright © 2015. All Rights Reserved.